Subject: bug#6509: It's not obvious that landing page is an ordered, paginated list.

From: Karl Fogel <[email-masked]>
Date: Fri, 25 Jun 2010 18:29:49 -0400

Glenn Morris <[email-masked]> writes:
>So I don't see any clear way to make things substantially better.
>
>The "Summary" sections should probably make it clearer they only apply
>to the bugs currently being displayed, not the total on all pages. I
>don't know how to make them display the overall totals I'm afraid.

Okay.  If the summary section just made it clear that it's only
referring to the current page, that would already be a big help in terms
of reducing confusion for new landers on the page -- that might be the
lowest-hanging fruit here.